------------------------
-- Hadar's Holy Hope
-- English localization
------------------------

if ( GetLocale() == "enUS" ) or ( GetLocale() == "enGB" ) then

HHH_OPTIONS_TITLE = "Hadar's Holy Hope ("..GetAddOnMetadata("Hadar_HolyHope", "Version")..")";
HHH_OPTIONS_SUBTEXT = "These options control the properties of Hadar's Holy Hope Add On.";

HHH_SPELL_TABLE = {
	judgement = "Judgement",
	
	might = "Blessing of Might",
	kings = "Blessing of Kings",
	sanctuary = "Blessing of Sanctuary",
	
	salvation = "Hand of Salvation",
	freedom = "Hand of Freedom",
	sacrifice = "Hand of Sacrifice",
	protection = "Hand of Protection",		
	
	soinsight = "Seal of Insight",
	sojustice = "Seal of Justice",
	sorighteousness = "Seal of Righteousness",
	sotruth = "Seal of Truth",
	
	hammerofwrath =	"Hammer of Wrath",
	redemption = "Redemption",
	divineintervention = "Divine Intervention",
	hammerofjustice = "Hammer of Justice",
	avengingwrath = "Avenging Wrath",
	divineprotection = "Divine Protection",
	divineshield = "Divine Shield",
	righteousdefense = "Righteous Defense",
	cleanse = "Cleanse",
	consecration = "Consecration",
	holywrath = "Holy Wrath",
	exorcism = "Exorcism",
	divineplea = "Divine Plea",

	repentance = "Repentance",
	crusaderstrike = "Crusader Strike",
	divinestorm = "Divine Storm",

	divinefavor = "Divine Favor",
	holyshock = "Holy Shock",
	divineillumination = "Divine Illumination",
	beaconoflight = "Beacon of Light",

	holyshield = "Holy Shield",
	avengersshield = "Avenger's Shield",
	shieldofrighteousness = "Shield of Righteousness",
	hammeroftherighteous = "Hammer of the Righteous",

	rebuke = "Rebuke",
};

HHH_MACRO_TABLE = {
	righteousdefense = "/cast [help] Righteous Defense; [target=targettarget, help] Righteous Defense; Righteous Defense;",
};

HHH_ITEM = {
	["Kings"] = "Symbol of Kings",
	["Hearthstone"] = "Hearthstone",
};

HHH_MENU = {
	["Length"] = "Length",
	["Active"] = "Active",
	["Lock"] = "Frame Lock",
	["UnlockText"] = "Frames are now Unlocked",
	["LockText"] = "Frames are now Locked",
	["Tooltips"] = "Tooltips",
	["Blessing"] = "Blessing",
	["Seal"] = "Seal",
	["Mount"] = "Mount",
	["Off"] = "Off",
	["Partial"] = "Partial",
	["Total"] = "Full",  
	["Spec"] = "Spec",
	["Redemption"] = "Redemption",
	["Show"] = "Show",
	["DPS"] = "DPS"
};

end
